package com.ycgis.macall.personalcenter.m.adapterbean;

import com.anhui.police.auth.sdk.AuthType;

public class AuthManageItem extends BaseBean {

    private String name;
    // 模式是否绑定
    private boolean autheType;

    // 是否支持修改
    private boolean isUpdate = false;

    //是否开通
    private boolean  isActivate  = false;

    private AuthType authType;

    //该模式是否被选中
    private boolean isSelect = false;

    // 2 修改密码
    private int type = 1;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public boolean isActivate() {
        return isActivate;
    }

    public void setActivate(boolean activate) {
        isActivate = activate;
    }

    public AuthManageItem(String name, boolean autheType, boolean isUpdate, AuthType authType) {
        this.name = name;
        this.autheType = autheType;
        this.isUpdate = isUpdate;
        this.authType = authType;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isAutheType() {
        return autheType;
    }

    public void setAutheType(boolean autheType) {
        this.autheType = autheType;
    }

    public boolean isUpdate() {
        return isUpdate;
    }

    public void setUpdate(boolean update) {
        isUpdate = update;
    }

    public boolean isSelect() {
        return isSelect;
    }

    public void setSelect(boolean select) {
        isSelect = select;
    }
}
